Subject: RE: When will GCC 3 ship with Cygwin?
From: "Stephano Mariani" <[email-masked]>
To: "'Tim Prince'" <[email-masked]>, "'Laurence F. Wood'" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 17 Jan 2002 10:04:56 -0000

Just a suggestion:
Perhaps it might be wise to ship both the gcc versions (as separate
packages in setup, not just different versions of the gcc package),
and
default to the 2.95.3, thereby allowing users who wish to use the
current 3 branch to do so, while not breaking anything for the other
users.

Stephano Mariani

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Tim Prince
> Sent: 17 January 2002 04:30
> To: Laurence F. Wood
> Cc: [email-masked]
> Subject: Re: When will GCC 3 ship with Cygwin?
>
> Laurence F. Wood wrote:
>
>  > GCC 3 has problems according to:
> http://aros.ca.sandia.gov/~cljanss/mpqc/mpqc-html-
> 2.0.1/compile.html#compile
>  >
>
>
> That Sandia page deprecates only gcc-3.0 and 3.01, not the current
> releases, and appears to have little to do with cygwin. Even the mpi
> lam
> pages would give you more current information about gcc versions for
> mpi
> on linux, if that's your concern. Many linux users have moved beyond
> 2.95 already.  Certainly, it's a big step from 2.95.x to 3.x.x for
> people who care about details of the C++ libraries, but I don't see
> any
> problem for the mpi applications I'm dealing with on Windows or
> linux in
> moving to current releases when the system maintainers are ready. I
> see
> more incentive to move to gcc-3.1, but I won't argue that it's time
> to
> do so now.
>
> I don't see that the proposal to drop support for gcc versions using
> coff is aimed directly at cygwin, nor do I see how it should affect
> our
> attitude about which gcc version to prefer.
>
>
> --
> Tim Prince
> [email-masked]
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/